local baseObjectScript
function OnScriptLoaded(level, obj)
  baseObjectScript = obj:FindSingleGOByName("GenericEnvEvent").Child.LuaObjectScript
  game.SubObject.Sleep(obj)
  game.SubObject.SetForgetOnCheckpoint(obj)
  obj:SetInhibitSave()
end
function OnUpdate()
  baseObjectScript.OnUpdate()
end
function DisableEventEmitter()
  baseObjectScript.DisableEventEmitter()
end
function EnableEventEmitter()
  baseObjectScript.EnableEventEmitter()
end
function EnableAwarenessRemotely()
  baseObjectScript.EnableAwarenessRemotely()
end
function DisableAwarenessRemotely()
  baseObjectScript.DisableAwarenessRemotely()
end
function Trigger()
  baseObjectScript.Trigger()
end
